#!/bin/sh

set -e

OLDOVERRIDE=/etc/init/lxc-android-fstab.override

if [ "$1" = configure ]; then
    DIVERSIONPATH="/var/lib/lxc-android-config/diversions"
    dpkg-divert --add --local --divert $DIVERSIONPATH/rsyslog.diverted \
        --rename /etc/logrotate.d/rsyslog || true

    CRONDIR=/etc/cron.daily

    for file in $CRONDIR/apt $CRONDIR/dpkg $CRONDIR/passwd; do
        div_file="$(echo $file|sed 's/\//_/g')"
        dpkg-divert --add --local --divert $DIVERSIONPATH/$div_file.diverted \
            --rename $file || true
    done

    if [ -e /system/build.prop ]; then
        device=$(grep ^ro.product.device= /system/build.prop |sed -e 's/.*=//')
        cp /usr/lib/lxc-android-config/70-$device.rules /lib/udev/rules.d/ || true

        # add device specific hacks and workarounds below
    fi
    # erase old override file that was created inside create-fstab script
    [ -f $OLDOVERRIDE ] && rm -f $OLDOVERRIDE

    if [ -f /lib/systemd/system/ssh.service ]; then
        /usr/bin/deb-systemd-helper disable ssh.service
    fi
    if [ -f /lib/systemd/system/cups.service ]; then
        /usr/bin/deb-systemd-helper disable cups.service
    fi
    if [ -f /lib/systemd/system/cups-browsed.service ]; then
        /usr/bin/deb-systemd-helper disable cups-browsed.service
    fi
    if [ -f /lib/systemd/system/avahi-daemon.service ]; then
        /usr/bin/deb-systemd-helper disable avahi-daemon.service
    fi
    if [ -f /lib/systemd/system/systemd-timesyncd.service ]; then
        /usr/bin/deb-systemd-helper disable systemd-timesyncd.service
    fi
fi

#DEBHELPER#
